=== debian/changelog ===
zathura (0.0.8.1-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * New upstream version (Closes: #590205, #590974).
  * Correct Homepage (Closes: #590970).
  * Update watch file.
  * Update Standards version to 3.9.1 (no changes needed).
  * Remove patch `manpage-description` (applied upstream).
  * Add `poppler-data` to Suggests.
  * Add patch `fix-cmd-print` to fix printing issues.

  [ Jakub Wilk ]
  * Prevent upstream makefile from stripping binaries.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 02 Aug 2010 14:26:04 +0200

zathura (0.0.7-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * Initial release (Closes: #582119)

  [ Jakub Wilk ]
  * Add myself to uploaders.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 23 Jul 2010 12:18:37 +0200
