=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpoppler-glib-dev (>= 0.12.3),
 libcairo2-dev (>= 1.8.8), libgtk2.0-dev (>= 2.18.6), pkg-config
Standards-Version: 3.9.1
Homepage: http://pwmt.org/projects/zathura

Package: zathura
Architecture: any
Provides: pdf-viewer
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-client | lprng, www-browser, poppler-data
Description: PDF viewer with a minimalistic interface
 zathura is a PDF viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
