=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# remove unused libraries to reduce dependencies
LDFLAGS=-Wl,--as-needed

%:
	dh $@ 

override_dh_clean:
	dh_clean config.h
