=== debian/watch ===
version=3
http://pwmt.org/projects/zathura/files .*/zathura-(.*)\.tar\.gz
