## zathura 0.0.8.2

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 options:
 	@echo ${PROJECT} build options:
 	@echo "CFLAGS  = ${CFLAGS}"
+	@echo "LDFLAGS = ${LDFLAGS}"
 	@echo "LIBS    = ${LIBS}"
 	@echo "DFLAGS  = ${DFLAGS}"
 	@echo "CC      = ${CC}"
@@ -69,7 +70,7 @@
 	@rm -rf ${PROJECT}-${VERSION}
 
 install: all
-	@echo installing executeable file
+	@echo installing executable file
 	@mkdir -p ${DESTDIR}${PREFIX}/bin
 	@cp -f ${PROJECT} ${DESTDIR}${PREFIX}/bin
 	@chmod 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin/${PROJECT}
@@ -79,7 +80,7 @@
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
 
 uninstall:
-	@echo removing executeable file
+	@echo removing executable file
 	@rm -f ${DESTDIR}${MANPREFIX}/bin/${PROJECT}
 	@echo removing manual page
 	@rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
