=== debian/changelog ===
zathura (0.0.8.2-4) unstable; urgency=low

  * Add patch `fix-options-section-and-gtk-capitalization` (Closes: #607011,
    #607013).
  * Add patch `dont-segfault-on-reload-document`.
  * Add patch `build-with-poppler-0.15` to be able to build with poppler
    versions >= 0.15.
  * Update `debian/copyright` to DEP5.
  * Update `debian/watch` due to new website layout.
  * Update URLs in patches `fix-bookmark-memory-issues` and
    `fix-regression-from-f91bea5f` due to new website layout.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 25 Feb 2011 14:05:16 +0100

zathura (0.0.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 06 Feb 2011 13:39:44 +0100

zathura (0.0.8.2-2) experimental; urgency=low

  * Add patch `fix-regression-from-f91bea5f` to fix regression introduced by
    `fix-bookmark-memory-issues`.
  * Add documentation for `scroll_wrap` to zathurarc.5 manpage.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sun, 12 Dec 2010 11:52:25 +0100

zathura (0.0.8.2-1) experimental; urgency=low

  * New upstream version (Closes: #598056).
  * Remove patch `fix-cmd-print` (applied upstream).
  * Remove patch `do-not-strip`. zathura's build system now honors predefinied
    values of `SFLAGS`.
  * Remove patch `fix-settings-descriptions` (applied upstream).
  * Add patch `fix-bookmark-memory-issues` to fix memory issues in code
    related to bookmarks which made them almost useless.
  * Honor `CFLAGS` and `LDFLAGS` from dpkg-buildflags and therefore add `dpkg`
    to Build-Depends.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 02 Dec 2010 11:31:38 +0100

zathura (0.0.8.1-2) unstable; urgency=low

  * Add zathurarc.5 manpage (Closes: #593552).
  * Add `python-docutils` to Build-Depends to build the manpage.
  * Add zathurarc example.
  * Add patch `fix-settings-descriptions` to display correct descriptions.
  * Correct the origin of patch `fix-cmd-print`.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 19 Aug 2010 20:05:30 +0200
