=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
# remove unused libraries to reduce dependencies
export LDFLAGS=-Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
# do not strip
export SFLAGS=

%:
	dh $@ 

override_dh_clean:
	dh_clean config.h debian/zathurarc.5

override_dh_installman:
	rst2man debian/zathurarc.5.rst > debian/zathurarc.5
	dh_installman
