=== debian/watch ===
version=3
http://pwmt.org/files zathura-(.*)\.tar\.gz
