## zathura 0.0.8.4

=== debian/changelog ===
zathura (0.0.8.4-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * debian/{rules,zathurarc.5.rst,zathura.manpages}: zathurarc.5.rst is now
    shipped by upstream and built in the Makefile.
  * debian/rules: use debian/clean instead of overriding dh_clean.
  * debian/copyright:
    - Update Format URL and update to latest revision (no changes needed).
    - Update Copyright info to reflect changes from upstream's LICENSE.
    - Fix typo in my name.

  [ Jakub Wilk ]
  * Set DM-Upload-Allowed field.
  * debian/watch: update once again due to new website layout.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 23 Jul 2011 23:31:04 +0200

zathura (0.0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Removed patches `fix-options-section-and-gtk-capitalization`,
    `build-with-poppler-0.15`, `fix-regression-from-f91bea5f` and
    `fix-bookmark-memory-issues` (all applied upstram).
  * Update `debian/watch` due to new website layout.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 24 Mar 2011 13:05:58 +0100
