=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,3 @@
 
 %:
 	dh $@ 
-
-override_dh_clean:
-	dh_clean config.h debian/zathurarc.5
-
-override_dh_installman:
-	rst2man debian/zathurarc.5.rst > debian/zathurarc.5
-	dh_installman
