=== debian/changelog ===
zathura (0.0.8.5-3) unstable; urgency=low

  * debian/patches: add safe-realloc-fix from upstream to fix crash while
    trying to complete unknown commands.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 12 Dec 2011 01:21:19 +0100

zathura (0.0.8.5-2) unstable; urgency=low

  * Pass CPPFLAGS to the build system. Thanks to Jakub Wilk for the report.
    (Closes: #648336)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 12 Nov 2011 14:57:52 +0100

zathura (0.0.8.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: drop dont-invert-y-coordinate (applied upstream).
  * debian/rules: enable verbose build output.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 10 Nov 2011 13:19:05 +0100

zathura (0.0.8.4-2) unstable; urgency=low

  * debian/patches: add patch dont-invert-y-coordinate from upstream to fix
    usage of poppler_page_get_selected_text. (Closes: 635551)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 29 Jul 2011 10:35:24 +0200
