=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
 Uploaders: Jakub Wilk <jwilk@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), libpoppler-glib-dev (>= 0.12.3),
  libcairo2-dev (>= 1.8.8), libgtk2.0-dev (>= 2.18.6), pkg-config,
  python-docutils (>= 0.6), dpkg (>= 1.15.7)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura
