=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# zathura's build system does not support CPPFLAGS yet
export CFLAGS=$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
# remove unused libraries to reduce dependencies
export LDFLAGS=-Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1

%:
	dh $@
