=== debian/watch ===
version=3
http://pwmt.org/projects/zathura/ http://pwmt\.org/download/zathura-(.*)\.tar\.gz
