=== debian/changelog ===
zathura (0.1.2-4) unstable; urgency=low

  * debian/{changelog,patches/fix-pan-problem}: Fix some typos.
  * debian/patches: Backport some fixes from upstream.
    - render-lock: Fix a crash if pages are rendered in the render thread and
      for printing at the same time.
    - printing: Print pages without margin and set up the orientation
      correctly.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 12 Jun 2012 10:48:20 +0200

zathura (0.1.2-3) unstable; urgency=low

  * debian/control: Add Suggests on zathura-{ps,djvu}.
  * debian/patches: Backport some fixes and translations from upstream.
    - fix-pan-problem: Fix bad panning behavior. (Closes: #669034)
    - close-on-destroy: Correctly close the document on exit so the current
      page is remembered.
    - free-index: Free index if document gets closed. Otherwise one would get
      the old index after a document gets reloaded.
    - add-translations: Backport new translations.
  * debian/copyright: Fix formatting.
  * debian/rules: Call xfvb-run with -a to prevent FTBFS if there is already
    another xvfb instance running.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 10 May 2012 20:02:11 +0200

zathura (0.1.2-2) unstable; urgency=low

  * debian/patches:
    - Add patch hurd-use-flock from upstream to fix FTBFS on hurd-i386.
    - Really remove unneeded patches.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 27 Mar 2012 12:08:58 +0200

zathura (0.1.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add ABI versioning:
    - zathura now Provides zathura-abi-${abiversion}. Plugins should depend on
      zathura-abi-${abiversion} to denote the ABI version they are compatible
      with.
    - zathura-dev ships dh_zathura in /usr/share/zathura to generate the
      correct dependency.
    - debian/rules: Use dh_zathura in overide_dh_gencontrol to generate
      the correct providoes.
  * debian/patches: Drop fix-translation and add-zathurarc-content (not needed
    anymore).
  * debian/control:
    - Bump libgirara-dev dependencies to >= 0.1.2 since new symbols and macros
      from girara 0.1.2 are used.
    - Add Build-Dep on xvfb and xauth since the test suite now requires a X
      session.
  * debian/rules:
    - Run the test suite with xvfb-run.
    - Set CF_DEFAULT_TIMEOUT=0 to disable check's timeout check. The tests may
      take longer than the default timeout of 4 seconds.
    - Upstream's build system now builds the mo pages in the default target so
      there is no need to call it manually anymore.
  * debian/clean: Remove zathura.1 and zathurarc.5 as they are now shipped in
    the upstream tarball.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 26 Mar 2012 17:22:01 +0200

zathura (0.1.1-1) experimental; urgency=low

  * New upstream release. (Closes: #657159, #657160, #663131)
  * Pack zathura-pdf-poppler as part of zathura.
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no changes required).
    - Add Build-Dep on libgirara-dev.
    - Add Build-Dep on check to build the test suite.
    - Add Build-Dep on dpkg-dev (>= 1.16.1~) for
      /usr/share/dpkg/buildflags.mk.
    - Add Build-Dep on libsqlite3-dev to build sqlite database backend.
    - Add Build-Dep on gettext to build the translation files.
    - Add zathura-dev package.
    - Remove Suggests on cups-client | lpr. zathura now uses GTK+ to print.
    - Update description and mention the ability to extend zathura via
      plugins.
  * debian/patches:
    - Drop safe-realloc-fix (not needed anymore).
    - Drop use-sensible-browser. zathura now uses xdg-open via girara to open
      links.
    - Add fix-version-check from upstream. Otherwise the plugin will be
      relinked during install.
    - Add fix-translation from upstream. This fixes some issues with
      the German translation.
    - Add add-zathurarc-content from upstream so that zathurarc.5 is not
      useless.
  * debian/watch: Update once again due to website layout changes.
  * debian/zathura-pdf-poppler.watch: Add watch file for the PDF plugin.
  * debian/rules:
    - Build the plugin and translation files.
    - Add get-orig-source target to rename the PDF plugin's source
      accordingly.
    - Upstream's build system now supports CPPFLAGS.
    - Include /usr/share/dpkg/buildflags.mk to get the buildflags and call
      dpkg-buildflags directly to get the hardening=+all buildflags for zathura.
  * debian/examples/zathurarc: Update to new setting names and add an example
    on how to change the database backend.
  * debian/copyright:
    - Add copyright information for zathura-pdf-poppler.
    - Update copyright to reflect changes from upstream's LICENSE.
    - Update Format URL.
    - Update Upstream-Contact and Homepage.
  * debian/clean: Removed (not needed anymore).
  * debian/menu: Renamed to debian/zathura.menu.
  * debian/{zathura,zathura-dev}.install: Added to install files in the
    correct packages.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 15 Mar 2012 22:01:52 +0100

zathura (0.0.8.5-4) unstable; urgency=low

  * Enable all hardening flags. Thanks to Simon Ruderich for the patch.
    (Closes: #652688)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 20 Dec 2011 11:43:33 +0100
