=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Jakub Wilk <jwilk@debian.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 libgirara-dev (>= 0.1.2),
 libgtk2.0-dev (>= 2.18.6),
 libcairo2-dev (>= 1.8.8),
 libpoppler-glib-dev (>= 0.12.3),
 libsqlite3-dev,
 gettext,
 check,
 xvfb,
 xauth,
 python-docutils (>= 0.6)
Standards-Version: 3.9.3
Homepage: http://pwmt.org/projects/zathura

Package: zathura
Architecture: any
Provides:
 pdf-viewer,
 ${zathura:Provides}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 poppler-data,
 zathura-ps,
 zathura-djvu
Description: PDF viewer with a minimalistic interface
 zathura is a PDF viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.1.2),
 libgtk2.0-dev (>= 2.18.6),
 libcairo2-dev (>= 1.8.8)
Description: development files for zathura plugins
 zathura is a PDF viewer with a minimalistic and space saving interface. It
 can be extended to support other file formats via a plugin system.
 .
 This package contains the files to develop plugins.
