=== debian/changelog ===
zathura (0.2.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: Add zathura-cb to zathura's Suggests.
  * debian/rules: Disable tests on kfreebsd-amd64 since check is broken there
    (cf. 712196).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Jun 2013 23:31:08 +0200

zathura (0.2.3-1) experimental; urgency=low

  * New upstream release.
    - zathura 0.2.3.
    - zathura-pdf-poppler 0.2.3.
  * debian/patches: Removed, not needed anymore.
  * debian/zathura.install: Install desktop file for the PDF plugin.
  * debian/control:
    - Remove Jakub Wilk from Uploaders on his request. Thanks for your work
      on zathura, Jakub.
    - Bump libgirara-dev dependencies to >= 0.1.6.
    - Drop Build-Conflicts on libpng-dev (>= 0.15) since it's gone.
    - Add Build-Dep on libmagic-dev for the new MIME type detection code.
  * debian/copyright: Update copyright years of zathura-pdf-poppler and update
    my mail address for the upstream copyright.
  * debian/rules: Run dh with --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 13 May 2013 21:32:28 +0200

zathura (0.2.2-1) experimental; urgency=low

  * New upstream release.
    - zathura-pdf-poppler 0.2.2.
  * debian/control: Bump libgirara-dev Build-Dep to >= 0.1.5.
  * debian/copyright: Update copyright years.
  * debian/patches:
    - Drop old patches, not needed anymore.
    - add-translations.patch: update some translations and add new
      translations for Catalan, Greek and Portuguese (Brazil).

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Jan 2013 13:41:13 +0100

zathura (0.2.1-2) experimental; urgency=low

  * debian/control:
    - Update my mail address.
    - Remove DMUA. Not needed anymore.
    - Bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright: Update my mail address.
  * debian/patches:
    - Add fix-czech-translation.patch: Fix errors in Czech translation. Thanks
      to Jakub Wilk for the report and the fixed strings. (Closes: #686972)
    - Add incremental-search.patch: Add config option to disable incremental
      search. (Closes: #686234)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Nov 2012 00:14:36 +0100

zathura (0.2.1-1) experimental; urgency=low

  * New upstream release.
    - zathura 0.2.1
      + Makes :pagenum work again. (Closes: #676517)
    - zathura-pdf-poppler 0.2.1
  * d/control:
    - Bump libgirara-dev Build-Dep and Dep in zathura-dev to >= 0.1.4.
    - Bump debhelper Build-Dep to >= 9.
    - Add libpng15-dev (>= 1.5) to Build-Conflicts since it provides libpng12-dev
      but doesn't ship libpng12.pc and breaks `pkg-config --cflags gtk+-2.0`.
      As soon as #652001 is fixed or gdk-pixbuf-2.0.pc uses libpng15 (#642265),
      this change will be reverted.
  * d/compat: Bump to 9.
  * d/patches: Remove all patches, not needed anymore.
  * d/rules: Build test suite with the same flags as zathura.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 06 Sep 2012 11:41:08 +0200
