=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: zathura
 Section: text
 Priority: optional
-Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
-Uploaders: Jakub Wilk <jwilk@debian.org>
-DM-Upload-Allowed: yes
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.1.2),
+ libgirara-dev (>= 0.1.6),
  libgtk2.0-dev (>= 2.18.6),
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
  libsqlite3-dev,
+ libmagic-dev,
  gettext,
  check,
  xvfb,
  xauth,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura
@@ -33,7 +32,8 @@
  www-browser,
  poppler-data,
  zathura-ps,
- zathura-djvu
+ zathura-djvu,
+ zathura-cb
 Description: PDF viewer with a minimalistic interface
  zathura is a PDF viewer with a minimalistic and space saving interface.
  It offers a vim-like experience and has a focus on keyboard interaction.
@@ -54,7 +54,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.1.2),
+ libgirara-dev (>= 0.1.4),
  libgtk2.0-dev (>= 2.18.6),
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins
