=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 export ZATHURA_INC=-I$(CURDIR)/zathura-headers/usr/include
 export PLUGINDIR=/usr/lib/zathura
 export PKG_CONFIG_PATH=$(CURDIR)/zathura-headers/usr/lib/pkgconfig
-# disable check's timeout funtionality
+# disable check's timeout functionality
 export CK_DEFAULT_TIMEOUT=0
 
-PDFVER=0.1.1
+PDFVER=0.2.3
 PDFVERC=$(subst .,-,$(PDFVER))
 
 DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
@@ -46,7 +46,7 @@
 	rmdir $$TMPD
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	$(MAKE) clean
@@ -65,9 +65,12 @@
 	$(MAKE) -C pdf-poppler-$(PDFVERC) install \
 		DESTDIR=$(CURDIR)/debian/tmp
 
+DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a $(MAKE) test
+ifeq (,$(filter kfreebsd-amd64,$(DEB_HOST_ARCH)))
+	xvfb-run -a env $(shell $(dpkg_buildflags) --export=configure) $(MAKE) test
+endif
 endif
 
 override_dh_gencontrol:
