## zathura 0.2.6

=== Makefile ===
--- 
+++ 
@@ -42,11 +42,15 @@
 
 all: options ${PROJECT} po build-manpages
 
-girara-version-check:
-ifneq ($(GIRARA_VERSION_CHECK), 0)
-	$(error "The minimum required version of girara is ${GIRARA_MIN_VERSION}")
-endif
-	$(QUIET)touch girara-version-check
+# pkg-config based version checks
+.version-checks/%:
+	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
+		pkg-config --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
+		echo "The minium required version of $(*) is $($(*)_MIN_VERSION)" && \
+		false \
+	)
+	@mkdir -p .version-checks
+	$(QUIET)touch $@
 
 options:
 	@echo ${PROJECT} build options:
@@ -56,11 +60,11 @@
 	@echo "CC      = ${CC}"
 
 version.h: version.h.in config.mk
-	$(QUIET)sed 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' < version.h.in | \
-		sed 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' | \
-		sed 's/ZVREV/${ZATHURA_VERSION_REV}/' | \
-		sed 's/ZVAPI/${ZATHURA_API_VERSION}/' | \
-		sed 's/ZVABI/${ZATHURA_ABI_VERSION}/' > version.h
+	$(QUIET)sed -e 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' \
+		-e 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' \
+		-e 's/ZVREV/${ZATHURA_VERSION_REV}/' \
+		-e 's/ZVAPI/${ZATHURA_API_VERSION}/' \
+		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' version.h.in > version.h
 
 %.o: %.c
 	$(ECHO) CC $<
@@ -72,8 +76,8 @@
 	@mkdir -p .depend
 	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
 
-${OBJECTS}:  config.mk version.h girara-version-check
-${DOBJECTS}: config.mk version.h girara-version-check
+${OBJECTS} ${DOBJECTS}: config.mk version.h \
+	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
 
 ${PROJECT}: ${OBJECTS}
 	$(ECHO) CC -o $@
@@ -83,7 +87,7 @@
 	$(QUIET)rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
 		${DOBJECTS} ${PROJECT}-debug .depend ${PROJECT}.pc doc version.h \
 		*gcda *gcno $(PROJECT).info gcov *.tmp \
-		girara-version-check
+		.version-checks
 ifneq "$(wildcard ${RSTTOMAN})" ""
 	$(QUIET)rm -f zathura.1 zathurarc.5
 endif
