=== po/Makefile ===
--- 
+++ 
@@ -1,8 +1,15 @@
 # See LICENSE file for license and copyright information
 
 PROJECT = zathura
-CATALOGS = $(wildcard *.po)
-MOS = $(patsubst %.po, %/LC_MESSAGES/${PROJECT}.mo, $(CATALOGS))
+GETTEXT_PACKAGE = $(PROJECT)
+CATALOGS  = $(wildcard *.po)
+LINGUAS  ?= $(patsubst %.po, %, $(CATALOGS))
+ifeq ($(LINGUAS),)
+ALINGUAS =
+else
+ALINGUAS = $(shell find $(patsubst %, %.po, $(LINGUAS)) 2>/dev/null)
+endif
+MOS = $(patsubst %, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(patsubst %.po, %, $(ALINGUAS)))
 
 include ../config.mk
 include ../common.mk
@@ -27,6 +34,7 @@
 	$(ECHO) updating po: files ${CATALOGS}
 	$(QUIET)set -e && for f in ${CATALOGS} ; do \
 		intltool-update --dist --gettext-package=${PROJECT} `echo $$f | sed 's/\.po//'` ; \
+		sed -i 's/Report-Msgid-Bugs-To: \\n/Report-Msgid-Bugs-To: http:\/\/bugs.pwmt.org\\n/'  "$$f" ; \
 	done
 
 %/LC_MESSAGES/${PROJECT}.mo: %.po
@@ -37,7 +45,7 @@
 install: ${MOS}
 	$(ECHO) installing translations
 	$(QUIET)set -e && for f in $^ ; do \
-		mkdir -p $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
+		mkdir -p -m 755 $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
 		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
 	done
