=== tests/Makefile ===
--- 
+++ 
@@ -19,6 +19,12 @@
 endif
 else
 ZSOURCE = $(filter-out ../database-sqlite.c,$(ZOSOURCE))
+endif
+
+ifneq ($(WITH_MAGIC),0)
+INCS += $(MAGIC_INC)
+LIBS += $(MAGIC_LIB)
+CPPFLAGS += -DWITH_MAGIC
 endif
 
 ZOBJECTS = ${ZSOURCE:.c=.o}
