=== debian/changelog ===
zathura (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Nov 2013 20:44:44 +0100

zathura (0.2.5-1) unstable; urgency=low

  * New upstream release.
    - zathura 0.2.5.
    - zathura-pdf-poppler 0.2.4.
    - Fixes page refresh issues. (Closes: #721260)
  * Bump zathura's ABI to 2gtk3 since zathura switched from GTK+2 to GTK+3.
    - dh_zathura: Allow alphanumeric characters in the ABI version "number".
  * debian/control:
    - Replace libgtk2.0-dev with libgtk-3-dev everywhere.
    - Bump libgirara-dev to >= 0.1.8 for proper GTK+3 support.
    - Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Nov 2013 17:14:31 +0100

zathura (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Re-enable test suite on kfreebsd-am64.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2013 01:19:12 +0200
