=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.1.6),
- libgtk2.0-dev (>= 2.18.6),
+ libgirara-dev (>= 0.1.8),
+ libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
  libsqlite3-dev,
@@ -17,7 +17,7 @@
  xvfb,
  xauth,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura
@@ -54,8 +54,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.1.4),
- libgtk2.0-dev (>= 2.18.6),
+ libgirara-dev (>= 0.1.8),
+ libgtk-3-dev,
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins
  zathura is a PDF viewer with a minimalistic and space saving interface. It
