=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # disable check's timeout functionality
 export CK_DEFAULT_TIMEOUT=0
 
-PDFVER=0.2.3
+PDFVER=0.2.4
 PDFVERC=$(subst .,-,$(PDFVER))
 
 DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
@@ -56,6 +56,10 @@
 
 override_dh_auto_build:
 	$(shell $(dpkg_buildflags) --export=configure) $(MAKE)
+	# append gtk3 to ABI version for the GTK+2 -> GTK+3 switch
+	# (can be dropped once zathura bumps its ABI the next time)
+	$(MAKE) zathura.pc
+	sed -i 's/^abiversion=.*$$/&gtk3/' zathura.pc
 	# we need the headers to build the plugin
 	$(MAKE) install-headers DESTDIR=$(CURDIR)/zathura-headers
 	$(MAKE) -C pdf-poppler-$(PDFVERC)
@@ -65,12 +69,9 @@
 	$(MAKE) -C pdf-poppler-$(PDFVERC) install \
 		DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(filter kfreebsd-amd64,$(DEB_HOST_ARCH)))
 	xvfb-run -a env $(shell $(dpkg_buildflags) --export=configure) $(MAKE) test
-endif
 endif
 
 override_dh_gencontrol:
